Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Action Class Referenceabstract

A file system action performed as part of a rollover event. More...

Inherits ObjectImpl.

Inherited by FileRenameAction, GZCompressAction, and ZipCompressAction.

## Public Member Functions
virtual bool | execute (log4cxx::helpers::Pool &pool) const =0
| Perform action. More...
void | run (log4cxx::helpers::Pool &pool)
void | close ()
bool | isComplete () const
| Tests if the action is complete. More...
void | reportException (const std::exception &)
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions
| Action ()
| Constructor. More...
virtual | ~Action ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

A file system action performed as part of a rollover event.

## Constructor & Destructor Documentation

Action | ( |  | ) |
| protected

Constructor.

virtual ~Action | ( |  | ) |
| protected virtual

## Member Function Documentation

void close | ( |  | ) |

virtual bool execute | ( | log4cxx::helpers::Pool & | pool | ) | const
| pure virtual

Perform action.

Returns
  true if successful.

Implemented in ZipCompressAction, GZCompressAction, and FileRenameAction.

bool isComplete | ( |  | ) | const

Tests if the action is complete.

Returns
  true if action is complete.

void reportException | ( | const std::exception & |  | ) |

void run | ( | log4cxx::helpers::Pool & | pool | ) |

The documentation for this class was generated from the following file:

- action.h